Bug 98061 - Printing of a tablecontrol in a form shows very big tableheaders, very small tablecontent
Summary: Printing of a tablecontrol in a form shows very big tableheaders, very small ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-21 18:52 UTC by Robert Großkopf
Modified: 2017-01-08 10:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Printout with LO 5.1.1.1 - unreadable tableheaders, very small content. (24.21 KB, application/pdf)
2016-02-21 19:00 UTC, Robert Großkopf
Details
Printout with LO 4.4.7.2 - headers and content of tablecontrol normal size. (25.00 KB, application/pdf)
2016-02-21 19:01 UTC, Robert Großkopf
Details
output of git bisect log (1.65 KB, text/plain)
2016-06-27 16:02 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2016-02-21 18:52:39 UTC
There is a bug while printing tablecontrols: Bug 73139. Content of a tablecontrol is only printed when fonts aren't only formatted black.

Download the attachment to this bug:
https://bugs.documentfoundation.org/attachment.cgi?id=91318
Open the form "Transactions_Currency_negative_red_start".
Create a *.pdf of the form.
*.pdf is shown right in LO 4.4.7.2.
*.pdf is shown wrong in LO 5.1.1.1: Only one great type at the header of the tablecontrol-fields, very small text in the tablecontrol.

Tested with OpenSUSE 42.1 64bit rpm Linux.
Comment 1 Robert Großkopf 2016-02-21 19:00:12 UTC
Created attachment 122852 [details]
Printout with LO 5.1.1.1 - unreadable tableheaders, very small content.
Comment 2 Robert Großkopf 2016-02-21 19:01:11 UTC
Created attachment 122853 [details]
Printout with LO 4.4.7.2 - headers and content of tablecontrol normal size.
Comment 3 Buovjaga 2016-03-02 18:34:27 UTC
Repro.

Version: 5.1.0.3 64-bit
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 4 Terrence Enger 2016-06-27 15:59:18 UTC
Removing keyword bibisectrequest; adding keyword bibisected.

Working in (an old and admittedly somewhat damaged version of) the
linux daily dbgutil bibisect repository, I have narrowed the first
appearance of this bug to the 72 commits between ...
    73f647e... 2015-10-22: source-hash-6e3c362...
and ...
    e52af3c... 2015-10-23: source-hash-c1d0074...

In this range, I notice ...

    commit 825b3df7f1d987021ec4a08ff8e7ed78e5772c97
    Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.com>
    Date:   Thu Oct 22 19:03:01 2015 +0200

        tdf#94138 fix printing of edit form fields
    
        There are 2 bugs:
    
        - In Window::GetDrawPixelFont we asked for the font to the
        current window, which didn't work correctly when printing. The
        device itself should provide the font and not the window.
    
        - In paint method the font wasn't setup correctly which should
        happen before painting by calling ApplySettings. The effect of
        this is that print preview didn't show the correct font for the
        edit control and similar when you copy + paste the edit control.
        The work around for this is to call ApplySettings again.
    
        Change-Id: I74960355823c71c1d5a18a82bbc86561a3c4b760
Comment 5 Terrence Enger 2016-06-27 16:02:43 UTC
Created attachment 125946 [details]
output of git bisect log
Comment 6 Terrence Enger 2016-06-27 16:03:29 UTC
Robert,

I notice that the top left number in the data grid, -$950.00, is black
on the screen and red in the .pdf.  Is this another bug?
Comment 7 Robert Großkopf 2016-06-27 17:42:34 UTC
(In reply to Terrence Enger from comment #6)
> Robert,
> 
> I notice that the top left number in the data grid, -$950.00, is black
> on the screen and red in the .pdf.  Is this another bug?

You are right. Seems the content of the filed next to the record-marker will only be shown black, not red, if formatted so.

Seems there is something wrong with formatting of the whole grid-control. Formatting of the text of the grid-control is possible, but isn't shown. Another bug ...
Comment 8 Alex Thurgood 2016-06-28 10:02:06 UTC
(In reply to Terrence Enger from comment #6)
> Robert,
> 
> I notice that the top left number in the data grid, -$950.00, is black
> on the screen and red in the .pdf.  Is this another bug?

The font colour issue is probably linked to either bug 93185 or bug 98521
Comment 9 Aron Budea 2017-01-08 04:18:30 UTC
Reproduced in 5.1.6.2 / Windows 7, but seems fixed in 5.2.4.2. Closing as WFM.
Comment 10 Robert Großkopf 2017-01-08 10:21:34 UTC
(In reply to Aron Budea from comment #9)
> Reproduced in 5.1.6.2 / Windows 7, but seems fixed in 5.2.4.2. Closing as
> WFM.

You are right, works also on OpenSUSE 42.1 64bit rpm Linux with LO 5.2.4.2.